Bug 827274 - AttributeError: 'NoneType' object has no attribute 'format'
AttributeError: 'NoneType' object has no attribute 'format'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:d89d0136bad1427ef5659c33d91...
:
: 987625 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 21:39 EDT by eckirchn
Modified: 2013-07-31 14:26 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:25:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-skOOBQ (516.87 KB, text/plain)
2012-05-31 21:39 EDT, eckirchn
no flags Details
Anaconda bug report (84.54 KB, application/x-gzip)
2012-08-04 03:27 EDT, Aleksei Kovura
no flags Details

  None (edit)
Description eckirchn 2012-05-31 21:39:06 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-skOOBQ
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.i686
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Thu 31 May 2012 01:32:15 PM MDT
version:        17

anaconda-tb-skOOBQ: Text file, 529275 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 953, in mirrorFailureCB
:    dev.format.mountpoint = self.tree
:  File "/usr/lib/python2.7/site-packages/urlgrabber/mirror.py", line 298, in _failure
:    action = cb(cb_obj, *args, **kwargs) or {}
:  File "/usr/lib/python2.7/site-packages/urlgrabber/mirror.py", line 403, in _mirror_try
:    self._failure(gr, obj)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/mirror.py", line 409, in urlgrab
:    return self._mirror_try(func, url, kw)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 843, in _getFile
:    size=size
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1619, in _retrieveMD
:    size=thisdata.size)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 175, in populate
:    db_fn = repo._retrieveMD(mydbtype)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 294, in populateSack
:    sack.populate(repo, mdtype, callback, cacheonly)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 730, in doSackSetup
:    return self._getSacks(archlist=archlist, thisrepo=thisrepo)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 1303, in <lambda>
:    self.__withFuncDo(anaconda, lambda r: self.ayum.doSackSetup(thisrepo=r.id),
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 1328, in __withFuncDo
:    fn(repo)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 1305, in doSackSetup
:    callback=SackSetupProgress(anaconda.intf))
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 1269, in doBackendSetup
:    self.doSackSetup(anaconda)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/backend.py", line 192, in doBackendSetup
:    if anaconda.backend.doBackendSetup(anaconda) == DISPATCH_BACK:
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:AttributeError: 'NoneType' object has no attribute 'format'

environ:
:LANG=en_US.UTF-8
:LC_NUMERIC=C
:TERM=linux
:BOOT_IMAGE=vmlinuz
:XAUTHORITY=/root/.Xauthority
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=0
:PYTHONPATH=/tmp/updates
:PWD=/
:GNOME_DISABLE_CRASH_DIALOG=1
:LIBUSER_CONF=/tmp/libuser.ewyj26
:LVM_SUPPRESS_FD_WARNINGS=1
:initrd=initrd.img
:MALLOC_PERTURB_=204
:TZ=America/Denver
:GCONF_GLOBAL_LOCKS=1
:HOME=/tmp
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:MALLOC_CHECK_=2
:DISPLAY=:1
Comment 1 eckirchn 2012-05-31 21:39:16 EDT
Created attachment 588238 [details]
File: anaconda-tb-skOOBQ
Comment 2 Jesse Keating 2012-05-31 21:54:54 EDT
This looks like bug 826666  Can you check your media?
Comment 3 eckirchn 2012-05-31 22:13:25 EDT
I tried to install from a 16Gb USB stick, using livecdcreator in fedora 16.  

$ gpg --verify-files *-CHECKSUM

  gpg: Signature made Thu 24 May 2012 11:30:02 PM MDT using RSA key ID 1ACA3465
  gpg: Good signature from "Fedora (17) <fedora@fedoraproject.org>"
  gpg: WARNING: This key is not certified with a trusted signature!
  gpg:          There is no indication that the signature belongs to the owner.
  Primary key fingerprint: CAC4 3FB7 74A4 A673 D81C  5DE7 50E9 4C99 1ACA 3465

$ sha256sum -c *-CHECKSUM
  
  Fedora-17-i386-DVD.iso: OK
  sha256sum: Fedora-17-i386-netinst.iso: No such file or directory
  Fedora-17-i386-netinst.iso: FAILED open or read
  sha256sum: WARNING: 20 lines are improperly formatted
  sha256sum: WARNING: 1 listed file could not be read

So the ISO file checks out.  I am working on burning it to a CD and going to try that, i suspect is has to do with trying to use a USB stick.

Eric
Comment 4 zbryant840 2012-06-01 12:27:43 EDT
Hi,

I have this same error, but I don't see a solution here. My checksum is fine, but I don't know what else to do. Can anyone shed some light on this problem?

Thanks
Comment 5 eckirchn 2012-06-01 12:36:32 EDT
zbryant840

I burned a DVD image and it worked fine
Comment 6 jianchengxiao 2012-06-03 11:15:06 EDT
I had this error too. I had checksum and it fine. I install from a 16Gb USB, using livecdcreator in fedora 16 too.
Comment 7 iTaberas 2012-06-05 02:13:49 EDT
I created a bootable USB with Fedora LiveUSB Creator and Fedora 17 x64, and I get this error, I have no possibility to use a DVD to install (Google Translate)
Comment 8 zbryant840 2012-06-06 12:32:23 EDT
I did what eckerchn said and ubuntu installed perfectly. If you can't install it to a dvd then you'll want to find a local distributor or a friend who can
Comment 9 Chris Lumens 2012-06-08 12:52:44 EDT
This is yet another DVD drive where udev isn't providing us an ID_FS_TYPE field.
Comment 10 Bob 2012-06-09 02:22:37 EDT
I'm wondering if liveUSB creator needs to be updated. I used version 3.11.6. The anaconda error log above mentions mirror.py, and the liveUSB creator changelog includes a May 4 update to the mirror location. Maybe these things are related.

Anyway, I had the exact same problem, and used the following workaround for my system that didn't have a DVD drive:

 1. Use LiveUSB Creator to create two USBs: One with the Fedora-16-x86_64-DVD.iso and the other with the minimal boot, Fedora-17-x86_64-boot.iso
 2. Plug in both USBs, and boot off the minimal boot USB.
 3. During installation, specify both USBs as sources.

I was connected to the network, too, so I'm uncertain whether the USB with the full package was really used as a source or not. Anyway, it got me past this bug, and the progress bar is now moving along nicely during the package install.
Comment 11 jianchengxiao 2012-06-16 09:37:23 EDT
i use the last liveusb creator(2012-06-12 :: v3.11.7) in win7, this error appears again, T.T
Comment 12 Aleksei Kovura 2012-08-04 03:25:56 EDT
Same issue here, liveusb creator v3.11.7. This happens after specifying boot loader location and clicking "Next".

Bob, how do you specify USBs as sources during installation? I can't get on internet during installation.

(In reply to comment #10)
>  1. Use LiveUSB Creator to create two USBs: One with the
> Fedora-16-x86_64-DVD.iso and the other with the minimal boot,
> Fedora-17-x86_64-boot.iso
>  2. Plug in both USBs, and boot off the minimal boot USB.
>  3. During installation, specify both USBs as sources.
Comment 13 Aleksei Kovura 2012-08-04 03:27:20 EDT
Created attachment 602227 [details]
Anaconda bug report
Comment 14 KitchM 2012-08-09 14:33:37 EDT
Mine looks like this when validating the net install ISO:
$ gpg --verify-files *-CHECKSUM
gpg: Signature made Fri 25 May 2012 01:30:12 AM EDT using RSA key ID 1ACA3465
gpg: Good signature from "Fedora (17) <fedora@fedoraproject.org>"
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the owner.
Primary key fingerprint: CAC4 3FB7 74A4 A673 D81C  5DE7 50E9 4C99 1ACA 3465

$ sha256sum -c *-CHECKSUM
sha256sum: Fedora-17-x86_64-DVD.iso: No such file or directory
Fedora-17-x86_64-DVD.iso: FAILED open or read
Fedora-17-x86_64-netinst.iso: OK
sha256sum: WARNING: 20 lines are improperly formatted
sha256sum: WARNING: 1 listed file could not be read


As you can see, just because the line says "OK" does not signify that the file is verified.  Especially since there are two warnings.

Something is wrong in the process or file.
Comment 15 Bob 2012-09-27 17:36:10 EDT
Regarding Alex's question in comment 12 above (sorry for the delay in replying), if I recall correctly, one of the screens that came up during the installation process asked what devices should be used as sources, so I selected both USB sticks. I assume that screen came up because more than one USB stick was plugged in at the same time.
Comment 16 Mark Jx 2012-11-28 07:49:28 EST
FYI: I had this issue (installing from USB drive for Fedora 17 x86_64) on two systems yesterday. Installed from DVD and it worked fine.
Comment 17 kjs 2013-01-10 20:55:44 EST
I encountered this problem using Fedora-17-i686-Live-Desktop.iso, Fedora-17-i386-netinst.iso and Fedora-17-i386-DVD.iso with both liveusb-creator-3.11.7 and unetbootin-583.

However, I had success using the exact same procedure with liveusb-creator-3.11.7 and Fedora-17-x86_64-netinst.iso (on the same box with an Intel Atom D510 processor).
Comment 18 Lee David Hallam 2013-03-28 12:09:49 EDT
I had the same problem using Fedora-17-x86_64-DVD.iso written to a USB device using liveusb creator v3.11.7 from Windows 7 (64-bit).

Using the same ISO image but written to the same USB device from a Fedora 18 system using:

livecd-iso-to-disk --format --reset-mbr Fedora-17-x86_64-DVD.iso /dev/sdbX

(substitute your USB device path for /dev/sdbX)

I had no problems - the install worked fine.
Comment 19 Fedora End Of Life 2013-07-03 15:38:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 David Shea 2013-07-24 10:37:41 EDT
*** Bug 987625 has been marked as a duplicate of this bug. ***
Comment 21 Fedora End Of Life 2013-07-31 14:26:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.